defmodule Nulla.Repo.Migrations.CreateHashtags do
  use Ecto.Migration

  def change do
    create table(:hashtags) do
      add :tag, :string, null: false
      add :usage_count, :integer, default: 0, null: false

      timestamps()
    end

    create unique_index(:hashtags, [:tag])
  end
end
