defmodule Nulla.Repo.Migrations.CreateInstanceSettings do
  use Ecto.Migration

  def change do
    create table(:instance_settings) do
      add :name, :string, default: "Nulla", null: false
      add :description, :string, default: "Freedom Social Network", null: false
      add :domain, :string, default: "localhost", null: false
      add :registration, :boolean, default: false, null: false
      add :max_characters, :integer, default: 5000, null: false
      add :max_upload_size, :integer, default: 50, null: false
      add :public_key, :string
      add :private_key, :string

      timestamps()
    end
  end
end
