defmodule Nulla.Repo.Migrations.CreateMediaAttachments do
  use Ecto.Migration

  def change do
    create table(:media_attachments) do
      add :note_id, references(:notes, on_delete: :delete_all), null: false
      add :file, :string, null: false
      add :mime_type, :string
      add :description, :string

      timestamps(type: :utc_datetime)
    end

    create index(:media_attachments, [:note_id])
  end
end
